> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Table placeholder

> Convert an existing placeholder into a dynamic table in an HTML contract and fill it with rows via the Sendforsign API.

First, add a placeholder to the HTML document to obtain a placeholder key.
[See this page](https://sendforsign.com/docs/api-reference/placeholder/create.md) to learn more.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

**contractKey** `string` *required*

Key of the contract.

**placeholder** `object` *required*

Structure, add the fields that need to be updated and ignore the rest.

**child attribute**

**placeholderKey** `string` *required*

Key of the placeholder that needs to be updated.

**table** `object` *required*

Table structure for the placeholder.

**child attribute**

**columns** `array` *required*

Array of column headers (strings).

**rows** `array` *required*

Array of rows, where each row is an array of values (strings or numbers).

### Response

**placeholder** `object`

Placeholder structure.

**child attribute**

**id** `string`

Placeholder ID.

**createTime** `string`

Creation time.

**changeTime** `string`

Change time.

**name** `string`

Placeholder name.

**value** `string`

JSON string containing table data with columns and rows.

**isTable** `boolean`

Indicates if the placeholder is a table (true for table placeholders).

**type** `string`

Placeholder type.

**placeholderKey** `string`

Placeholder key.

**position** `string`

Position of the placeholder.

**fillingType** `string`

Filling type.

**externalRecipientKey** `string`

External recipient key (null if not set).

**code** `number`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/placeholder' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{
    "data": {
        "action": "update",
        "clientKey": "YOUR_CLIENT_KEY",
        "contractKey": "CONTRACT_KEY",
        "placeholder": {
            "placeholderKey": "PLACEHOLDER_KEY",
            "table": {
                "columns": ["Product", "Quantity", "Unit Price", "Total"],
                "rows": [
                    ["Product 1", 2, 100, 200],
                    ["Product 2", 1, 250, 250],
                    ["Product 3", 4, 75, 333]
                ]
            }
        }
    }
}'
```

```json Response theme={null}
{
    "placeholder": {
        "id": "1",
        "createTime": "2025-10-31T09:27:46.000Z",
        "changeTime": "2025-10-31T09:28:23.000Z",
        "name": "PLACEHOLDER_NAME",
        "value": "{\"columns\":[\"Product\",\"Quantity\",\"Unit Price\",\"Total\"],\"rows\":[[\"Product 1\",2,100,200],[\"Product 2\",1,250,250],[\"Product 3\",4,75,333]]}",
        "isTable": true,
        "type": "1",
        "placeholderKey": "PLACEHOLDER_KEY",
        "position": "1",
        "fillingType": "1",
        "externalRecipientKey": null
    },
    "code": 201,
    "message": "Placeholder updated"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.